function processGreeting(source) {
  const greetReg = /exports\.greeting \= function \(\) \{[\s\S]*?\}/;
  return source.replace(greetReg, 'exports.greeting = function () {}');
}

module.exports = function (source) {
  const callback = this.async();
  let sourceNew = source;
  const light = this.query;
  if (this.resourcePath.match(/lib(\\|\/)utils\.js/)) {
    const envName = light.options.env || 'default';
    if (!(light.config.env && light.config.env[envName] &&
      light.config.env[envName].config &&
      light.config.env[envName].config.greeting !== true)) {
      // 通过配置去除greeting代码（因其内部存在链接无法通过安全检查）
      sourceNew = processGreeting.call(this, sourceNew);
    }
  }
  callback(null, sourceNew);
};